Bug 1464152 - the buttons of the html5 console do not work with windows vms [NEEDINFO]
the buttons of the html5 console do not work with windows vms
Status: POST
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
All All
medium Severity high
: GA
: 5.9.0
Assigned To: Brian McLaughlin
Kedar Kulkarni
vmrc:windows
: TestOnly, ZStream
: 1448198 (view as bug list)
Depends On:
Blocks: cfme_fastweb 1470179
  Show dependency treegraph
 
Reported: 2017-06-22 10:15 EDT by Felix Dewaleyne
Modified: 2017-08-15 09:36 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1470179 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core
simaishi: needinfo? (gtanzill)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3110081 None None None 2017-07-11 04:45 EDT

  None (edit)
Description Felix Dewaleyne 2017-06-22 10:15:36 EDT
Description of problem:
The CTRL+ALT+DEL and fullscreen buttons no long er work with windows vms ni cfme 5.8

Version-Release number of selected component (if applicable):
cloudforms 5.8
vmware esx 6.0
Firefox 54,
Chromium 59.x
Internet Explorer 11,
MS Edge


How reproducible:
only reproduced in customer environment

Steps to Reproduce:
1.try to open a vm console 
2.
3.

Actual results:
buttons are non responsive

Expected results:
behaves like in 5.7

Additional info:
Comment 5 Felix Dewaleyne 2017-07-05 12:18:03 EDT
correction : the customer realised that vmrc is not in use and that they use the standard html5/vnc console provided by Cloudforms itself.
Comment 9 Brian McLaughlin 2017-07-11 16:23:28 EDT
*** Bug 1448198 has been marked as a duplicate of this bug. ***
Comment 11 CFME Bot 2017-07-11 17:53:36 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/859dbe0e2bc5a322633f7323b1ff9fe638624c9f

commit 859dbe0e2bc5a322633f7323b1ff9fe638624c9f
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Tue Jul 11 16:17:11 2017 -0400
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Tue Jul 11 16:17:11 2017 -0400

    Fix VNC console connection to Windows VMs and Ctrl-Alt-Del button
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1464152

 app/assets/javascripts/remote_consoles/vnc.js | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)
Comment 12 CFME Bot 2017-07-11 17:53:42 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/3103ec5c932497bc9109bd2e77d4ea272fa697a6

commit 3103ec5c932497bc9109bd2e77d4ea272fa697a6
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Tue Jul 11 16:52:13 2017 -0400
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Tue Jul 11 16:52:13 2017 -0400

    Fix code styling issue
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1464152

 app/assets/javascripts/remote_consoles/vnc.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 21 Felix Dewaleyne 2017-07-13 11:29:55 EDT
he says he did the following :

yum localinstall -y cfme-5.8.0.17-3.el7cf.x86_64.rpm
appliance_console -> restart

Note You need to log in before you can comment on or make changes to this bug.